/*****************************************************************************
** STAIR VISION LIBRARY
** Copyright (c) 2007-2009, Stephen Gould
** All rights reserved.
**
** Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are met:
**     * Redistributions of source code must retain the above copyright
**       notice, this list of conditions and the following disclaimer.
**     * Redistributions in binary form must reproduce the above copyright
**       notice, this list of conditions and the following disclaimer in the
**       documentation and/or other materials provided with the distribution.
**     * Neither the name of the Stanford University nor the
**       names of its contributors may be used to endorse or promote products
**       derived from this software without specific prior written permission.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
** EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
** DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY
** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
** ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
******************************************************************************
** FILENAME:    svlDevel.h
** AUTHOR(S):   Stephen Gould <sgould@stanford.edu>
** DESCRIPTION:
**  Include file for development headers.
*****************************************************************************/

#pragma once

#include "../svl/lib/devel/svlAbstractCloud.h"
#include "../svl/lib/devel/svlAlgorithms.h"
#include "../svl/lib/devel/svlBox2d.h"
#include "../svl/lib/devel/svlBox3d.h"
#include "../svl/lib/devel/svlBoxT.h"
#include "../svl/lib/devel/svlCircularIterator.h"
#include "../svl/lib/devel/svlCluster3d.h"
#include "../svl/lib/devel/svlCompositeFeatureExtractor.h"
#include "../svl/lib/devel/svlDataFrame.h"
#include "../svl/lib/devel/svlDetectorFeatureExtractor.h"
#include "../svl/lib/devel/svlGeneralObjectDetector.h"
#include "../svl/lib/devel/svlHarrisCornerDetector.h"
#include "../svl/lib/devel/svlImageFrame.h"
#include "../svl/lib/devel/svlInterestPointDetector.h"
#include "../svl/lib/devel/svlISM.h"
#include "../svl/lib/devel/svlISMpatch.h"
#include "../svl/lib/devel/svlKdTree.h"
#include "../svl/lib/devel/svlKdTreeT.h"
#include "../svl/lib/devel/svlKMeansClustering.h"
#include "../svl/lib/devel/svlKMeansT.h"
#include "../svl/lib/devel/svlMapping.h"
#include "../svl/lib/devel/svlObjectList3d.h"
#include "../svl/lib/devel/svlOffscreenBuffer.h"
#include "../svl/lib/devel/svlPlane.h"
#include "../svl/lib/devel/svlPlaneClustering.h"
#include "../svl/lib/devel/svlPoint2d.h"
#include "../svl/lib/devel/svlPointColourer.h"
#include "../svl/lib/devel/svlPointNd.h"
#include "../svl/lib/devel/svlRabbaniClustering.h"
#include "../svl/lib/devel/svlSortVector.h"
#include "../svl/lib/devel/svlSortVectorDI.h"
#include "../svl/lib/devel/svlStructuredCloud.h"
#include "../svl/lib/devel/svlTimer.h"
#include "../svl/lib/devel/svlTreeNode.h"
#include "../svl/lib/devel/svlTreeNodeT.h"
