//todo-- add full lasik header
//Author-- Ian Goodfellow

#include "svlPointColourer.h"
#include <GL/gl.h>

void svlPointColourer::preprocess(const svlAbstractCloud * cloud) const
{
}

svlDepthColourer::svlDepthColourer(double orig_x, double orig_y, double orig_z)
{
  _origin = svlPoint3d(orig_x, orig_y, orig_z);
  _nearColor = svlPoint3d(0.0, 0.0, 0.0);
  _farColor = svlPoint3d(1.0,1.0,1.0);

  _nearDist = 0;
  _farDist = 10;
}

void svlDepthColourer::colour(const svlPoint3d & pt, const svlAbstractCloud * cloud) const
{
  double dist = (pt-_origin).norm();

  if ( ! (dist >= 0) )
    {
      cout << "pt: " << pt << endl;
      cout << "origin: " << _origin << endl;
      cout << "Dist = " << dist << endl;
    }

  assert(dist >= 0);

  double normDist = (dist-_nearDist) / _farDist;

  if (normDist > 1.0)
    normDist = 1.0;

  if (normDist < 0.0)
    normDist = 0.0;

  svlPoint3d colour = (1.0-normDist) * _nearColor + normDist * _farColor;
 
  /* 
  cout << "dist: "<<dist<<endl;
  cout << "_nearDist: "<<_nearDist<<endl;
  cout << "_farDist: "<<_farDist<<endl;
  cout << "normDist: "<<normDist<<endl;
  cout << "color.x: "<<colour.x<<endl;
  cout << "_nearColor: "<<_nearColor<<endl;
  cout << "_farColor: "<<_farColor<<endl;
  cout << "(1.0-normDist) * _nearColor: "<<(1.0-normDist) * _nearColor << endl;
  cout << "normDist * _farColor: "<< normDist * _farColor << endl;
  cout << "color: "<<colour<<endl;
  */


  glColor3f(colour.x, colour.y, colour.z);
}
